﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        RLV.NeedDataSource+=(s,args)=>
        {
            RLV.DataSource = Enumerable.Range(0, 10).Select(i => new { Data = i });
        };        
    }

    protected void grid_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        var grid = sender as RadGrid;
        var lvItem = grid.NamingContainer as RadListViewDataItem;
        var data = Convert.ToInt32(lvItem.GetDataKeyValue("Data"));
        grid.DataSource = Enumerable.Range(data, 10).Select(i => new { GridData = i });
    }
}